# eric6.Preferences.ConfigurationPages.SecurityPage

Module implementing the Security configuration page.

### Global Attributes

None

### Classes

SecurityPage | Class implementing the Security configuration page.

### Functions

create | Module function to create the configuration page.

## SecurityPage

Class implementing the Security configuration page.

### Derived from

ConfigurationPageBase, Ui_SecurityPage

### Class Attributes

None

### Class Methods

None

### Methods

SecurityPage | Constructor
on_masterPasswordButton_clicked | Private slot to change the master password.
on_masterPasswordCheckBox_clicked | Private slot to handle the use of a master password.
save | Public slot to save the Help Viewers configuration.
setMode | Public method to perform mode dependent setups.

### Static Methods

None

#### SecurityPage (Constructor)

SecurityPage(configDialog)

Constructor

configDialog
  reference to the configuration dialog (ConfigurationDialog)

#### SecurityPage.on_masterPasswordButton_clicked

on_masterPasswordButton_clicked()

Private slot to change the master password.

#### SecurityPage.on_masterPasswordCheckBox_clicked

on_masterPasswordCheckBox_clicked(checked)

Private slot to handle the use of a master password.

checked
  flag indicating the state of the check box (boolean)

#### SecurityPage.save

save()

Public slot to save the Help Viewers configuration.

#### SecurityPage.setMode

setMode(displayMode)

Public method to perform mode dependent setups.

displayMode
  mode of the configuration dialog (ConfigurationWidget.DefaultMode, ConfigurationWidget.HelpBrowserMode, ConfigurationWidget.WebBrowserMode)

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up